%FMATNA	normalized xi-Fourier matrix times a matrix
%
%	F=fmatna(A,xi)
%	F=fmatna(A,xi,1)  to multiply the adjoint of F times A

% 	Giuseppe Rodriguez,  23-04-03
% 	Email: rodriguez@unica.it

function F = fmatna(A,xi,adj)

if nargin < 3,  adj = 0;  end
if nargin < 2,  xi = 1;  end
n = size(A,1);

if adj
	if xi == 1
		F = fft(A) / sqrt(n);
	else
		c = nroots1(xi,n);
		w = conj(c(1));
		F = spdiags(w.^([0:n-1]'),0,n,n) * (fft(A) / sqrt(n));
	end
else
	if xi == 1
		F = sqrt(n) * ifft(A);
	else
		c = nroots1(xi,n);
		w = c(1);
		F = sqrt(n) * ifft(spdiags(w.^([0:n-1]'),0,n,n)*A);
	end
end

