%NROOTS1 compute the n complex roots of a number on the unit circle
%
%	c=nroots1(xi,n)

% 	Giuseppe Rodriguez,  23-04-03
% 	Email: rodriguez@unica.it

function c = nroots1(xi,n)

if abs(abs(xi)-1) > eps
	error( 'argument is not on the unit circle')
end

phi = angle(xi);
c = exp( i * (phi+2*[0:n-1]'*pi) / n);

